%Loads a figure and creates a .ps or .png for a presenation.

%load e:\Thesis\Documents\GradCon04\Results\ExpPowerExample.fig

Experiment_name = 'e:\Thesis\Documents\GradCon04\Results\ExpPowerExample';


    a = findall(gca,'type','line');  % get all lines in the box plot
    for j=1:length(a);
        xdata = get(a(j),'xdata');   % get their x values
        %if all(abs(xdata-thisgroup)<.5)   % find ones in the desired group
            set(a(j), 'linewidth',1)
        %end
    end
    
    %Set figure attributes
      h1 = gca;
      set(h1,'LineWidth',1,'FontSize',10,'FontName','Arial'); %'FontWeight','bold'

     %End figure attributes
 %End display results
 
 %Save images
 
 saveas(gcf,Experiment_name,'fig');

% axes('position',[0,0,1,1],'units','normalized','UserData','timestamp','visible','off');
  
 opts = struct('bounds','tight','Renderer','painters','linestylemap',[],'width',4.5,'height',4.5,'fontmode','fixed', 'BoundsCode','mcode','fontsize',18,'LineWidth',1,'format','eps','Color','bw','Resolution',300); %Width is 6inches
 setpref('exportfig','defaults',opts);
 exportfig(gcf,Experiment_name); 
  
% 'BoundsCode','mcode',
 opts = struct('bounds','tight','Renderer','painters','linestylemap',[],'width',4.5,'height',4.5,'fontmode','fixed', 'BoundsCode','mcode','fontsize',18,'LineWidth',1,'format','png','Color','bw','Resolution',300); %Width is 6inches
 setpref('exportfig','defaults',opts);
 exportfig(gcf,Experiment_name); 
 
 %End save images
  
 Thesis_boxplot_done = 1;
 %END