%This function takes an m^2 vector and create a m x m matrix W 
% v = (w11,w12,...,w21,w22,....,wmm,u1,u2,...um)
%Used in BetaD_ICA
%November 5, 2004. N. Gadhok. v1.0

function [Wf] = deformv2(vf)

lvf = length(vf);

a = strcat('m*m = ', num2str(lvf));
mf = max(double(solve(a)));

Wf = zeros(mf,mf);

for i = 1: mf
    Wf(i,:) = vf(1:mf)';
    vf = vf(mf+1:end);
end




    