%*******************************************************************************
%*
%* Generate mixture files
%*
%*******************************************************************************
%	$Id: gen_mixdat_unlike.m,v 1.1 1999/01/12 23:03:37 fisher Exp $
srcdir	= '../data/srcdat/'
%*******************************************************************************
%*
%* Generate mixture of two like sources
%*
%*******************************************************************************
outdir	= '../data/2src/';
frm	= 1;
Nsns	= 2;
Nsmp	= 30000/Nsns;
 %******************************************************************************
 %*
 %* A1 - moderate SNR
 %* A2 - low SNR
 %*
 %******************************************************************************
A1	= toeplitz([1 ones(1,Nsns-1)*(1/(Nsns-1)/2).^(1/2)]);
A2	= toeplitz([1 ones(1,Nsns-1)*(1/(Nsns-1)*10.0^(-1/20))^(1/2)]);
for ikurt=1:7,
 kurtindx	= [0,2]+ikurt;
 [x,Nsmps,frmrd]	= load_mixsrc(kurtindx,Nsmp,frm,srcdir);
 xmix	= A1*x;
 filout	= strcat(outdir,'src2_mSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
 xmix	= A2*x;
 filout	= strcat(outdir,'src2_lSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
end
for ikurt=1:4,
 kurtindx	= [0,5]+ikurt;
 [x,Nsmps,frmrd]	= load_mixsrc(kurtindx,Nsmp,frm,srcdir);
 xmix	= A1*x;
 filout	= strcat(outdir,'src2_mSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
 xmix	= A2*x;
 filout	= strcat(outdir,'src2_lSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
end
%*******************************************************************************
%*
%* Generate mixture of three like sources
%*
%*******************************************************************************
outdir	= '../data/3src/';
frm	= 1;
Nsns	= 3;
Nsmp	= 30000/Nsns;
 %******************************************************************************
 %*
 %* A1 - moderate SNR
 %* A2 - low SNR
 %*
 %******************************************************************************
A1	= toeplitz([1 ones(1,Nsns-1)*(1/(Nsns-1)/2).^(1/2)]);
A2	= toeplitz([1 ones(1,Nsns-1)*(1/(Nsns-1)*10.0^(-1/20))^(1/2)]);
for ikurt=1:5,
 kurtindx	= [0,2,4]+ikurt;
 [x,Nsmps,frmrd]	= load_mixsrc(kurtindx,Nsmp,frm,srcdir);
 xmix	= A1*x;
 filout	= strcat(outdir,'src2_mSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
 xmix	= A2*x;
 filout	= strcat(outdir,'src2_lSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
end
%*******************************************************************************
%*
%* Generate mixture of five like sources
%*
%*******************************************************************************
outdir	= '../data/5src/';
frm	= 1;
Nsns	= 5;
Nsmp	= 30000/Nsns;
 %******************************************************************************
 %*
 %* A1 - moderate SNR
 %* A2 - low SNR
 %*
 %******************************************************************************
A1	= toeplitz([1 ones(1,Nsns-1)*(1/(Nsns-1)/2).^(1/2)]);
A2	= toeplitz([1 ones(1,Nsns-1)*(1/(Nsns-1)*10.0^(-1/20))^(1/2)]);
for ikurt=1:2,
 kurtindx	= [0,1,3,5,7]+ikurt;
 [x,Nsmps,frmrd]	= load_mixsrc(kurtindx,Nsmp,frm,srcdir);
 xmix	= A1*x;
 filout	= strcat(outdir,'src2_mSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
 xmix	= A2*x;
 filout	= strcat(outdir,'src2_lSNR_',lst2dig(kurtindx),'.dat');
 disp(filout)
 fid	= fopen(filout,'w','ieee-le');
 fwrite(fid,xmix,'float32');
 fclose(fid);
end
